Skip to main content
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
external-accounts
/
{account_id}
Get an external account
curl --request GET \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/external-accounts/{account_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-grid-environment: <x-grid-environment>'
{
  "account_owner_name": "<string>",
  "account_type": "<string>",
  "active": true,
  "country": "<string>",
  "created_at": "<string>",
  "currency": "<string>",
  "id": "<string>",
  "provider_syncs": [
    {
      "provider": "<string>",
      "status": "<string>",
      "synced_at": "<string>"
    }
  ],
  "account_owner_type": "<string>",
  "bank_name": "<string>",
  "business_name": "<string>",
  "first_name": "<string>",
  "last_4": "<string>",
  "last_name": "<string>"
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Headers

x-grid-environment
string
required

Environment (sandbox, production)

Path Parameters

address
string
required

Smart account address

account_id
string
required

External account UUID

Response

External account retrieved

account_owner_name
string
required
account_type
string
required
active
boolean
required
country
string
required
created_at
string
required
currency
string
required
id
string
required
provider_syncs
object[]
required
account_owner_type
string | null
bank_name
string | null
business_name
string | null
first_name
string | null
last_4
string | null
last_name
string | null